/*********************************************************************
 * Copyright (c) 2019 Boeing
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Boeing - initial API and implementation
 **********************************************************************/

package org.eclipse.osee.framework.jdk.core.type;

import java.util.ArrayList;
import org.eclipse.jdt.annotation.NonNull;

/**
 * @author Ryan D. Brooks
 */
public final class ChainingArrayList<@NonNull T> extends ArrayList<T> {
   private static final long serialVersionUID = 1L;

   public <@NonNull S extends T> S addAndReturn(S element) {
      add(element);
      return element;
   }

}