/**
 * Copyright (c) 2013 itemis AG and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Mark Broerkens - initial API and implementation
 * 
 */
package org.eclipse.rmf.reqif10.xhtml;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc --> The <b>Factory</b> for the model. It provides a create method for each non-abstract class of
 * the model. <!-- end-user-doc -->
 * 
 * @see org.eclipse.rmf.reqif10.xhtml.XhtmlPackage
 * @generated
 */
public interface XhtmlFactory extends EFactory {
	/**
	 * The singleton instance of the factory. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	XhtmlFactory eINSTANCE = org.eclipse.rmf.reqif10.xhtml.impl.XhtmlFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Document Root</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Document Root</em>'.
	 * @generated
	 */
	DocumentRoot createDocumentRoot();

	/**
	 * Returns a new object of class '<em>Abbr Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Abbr Type</em>'.
	 * @generated
	 */
	XhtmlAbbrType createXhtmlAbbrType();

	/**
	 * Returns a new object of class '<em>Acronym Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Acronym Type</em>'.
	 * @generated
	 */
	XhtmlAcronymType createXhtmlAcronymType();

	/**
	 * Returns a new object of class '<em>Address Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Address Type</em>'.
	 * @generated
	 */
	XhtmlAddressType createXhtmlAddressType();

	/**
	 * Returns a new object of class '<em>AType</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>AType</em>'.
	 * @generated
	 */
	XhtmlAType createXhtmlAType();

	/**
	 * Returns a new object of class '<em>Blockquote Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Blockquote Type</em>'.
	 * @generated
	 */
	XhtmlBlockquoteType createXhtmlBlockquoteType();

	/**
	 * Returns a new object of class '<em>Br Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Br Type</em>'.
	 * @generated
	 */
	XhtmlBrType createXhtmlBrType();

	/**
	 * Returns a new object of class '<em>Caption Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Caption Type</em>'.
	 * @generated
	 */
	XhtmlCaptionType createXhtmlCaptionType();

	/**
	 * Returns a new object of class '<em>Cite Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Cite Type</em>'.
	 * @generated
	 */
	XhtmlCiteType createXhtmlCiteType();

	/**
	 * Returns a new object of class '<em>Code Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Code Type</em>'.
	 * @generated
	 */
	XhtmlCodeType createXhtmlCodeType();

	/**
	 * Returns a new object of class '<em>Colgroup Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Colgroup Type</em>'.
	 * @generated
	 */
	XhtmlColgroupType createXhtmlColgroupType();

	/**
	 * Returns a new object of class '<em>Col Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Col Type</em>'.
	 * @generated
	 */
	XhtmlColType createXhtmlColType();

	/**
	 * Returns a new object of class '<em>Dd Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Dd Type</em>'.
	 * @generated
	 */
	XhtmlDdType createXhtmlDdType();

	/**
	 * Returns a new object of class '<em>Dfn Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Dfn Type</em>'.
	 * @generated
	 */
	XhtmlDfnType createXhtmlDfnType();

	/**
	 * Returns a new object of class '<em>Div Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Div Type</em>'.
	 * @generated
	 */
	XhtmlDivType createXhtmlDivType();

	/**
	 * Returns a new object of class '<em>Dl Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Dl Type</em>'.
	 * @generated
	 */
	XhtmlDlType createXhtmlDlType();

	/**
	 * Returns a new object of class '<em>Dt Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Dt Type</em>'.
	 * @generated
	 */
	XhtmlDtType createXhtmlDtType();

	/**
	 * Returns a new object of class '<em>Edit Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Edit Type</em>'.
	 * @generated
	 */
	XhtmlEditType createXhtmlEditType();

	/**
	 * Returns a new object of class '<em>Em Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Em Type</em>'.
	 * @generated
	 */
	XhtmlEmType createXhtmlEmType();

	/**
	 * Returns a new object of class '<em>H1 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H1 Type</em>'.
	 * @generated
	 */
	XhtmlH1Type createXhtmlH1Type();

	/**
	 * Returns a new object of class '<em>H2 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H2 Type</em>'.
	 * @generated
	 */
	XhtmlH2Type createXhtmlH2Type();

	/**
	 * Returns a new object of class '<em>H3 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H3 Type</em>'.
	 * @generated
	 */
	XhtmlH3Type createXhtmlH3Type();

	/**
	 * Returns a new object of class '<em>H4 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H4 Type</em>'.
	 * @generated
	 */
	XhtmlH4Type createXhtmlH4Type();

	/**
	 * Returns a new object of class '<em>H5 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H5 Type</em>'.
	 * @generated
	 */
	XhtmlH5Type createXhtmlH5Type();

	/**
	 * Returns a new object of class '<em>H6 Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>H6 Type</em>'.
	 * @generated
	 */
	XhtmlH6Type createXhtmlH6Type();

	/**
	 * Returns a new object of class '<em>Heading Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Heading Type</em>'.
	 * @generated
	 */
	XhtmlHeadingType createXhtmlHeadingType();

	/**
	 * Returns a new object of class '<em>Hr Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Hr Type</em>'.
	 * @generated
	 */
	XhtmlHrType createXhtmlHrType();

	/**
	 * Returns a new object of class '<em>Inl Pres Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Inl Pres Type</em>'.
	 * @generated
	 */
	XhtmlInlPresType createXhtmlInlPresType();

	/**
	 * Returns a new object of class '<em>Kbd Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Kbd Type</em>'.
	 * @generated
	 */
	XhtmlKbdType createXhtmlKbdType();

	/**
	 * Returns a new object of class '<em>Li Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Li Type</em>'.
	 * @generated
	 */
	XhtmlLiType createXhtmlLiType();

	/**
	 * Returns a new object of class '<em>Object Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Object Type</em>'.
	 * @generated
	 */
	XhtmlObjectType createXhtmlObjectType();

	/**
	 * Returns a new object of class '<em>Ol Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Ol Type</em>'.
	 * @generated
	 */
	XhtmlOlType createXhtmlOlType();

	/**
	 * Returns a new object of class '<em>Param Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Param Type</em>'.
	 * @generated
	 */
	XhtmlParamType createXhtmlParamType();

	/**
	 * Returns a new object of class '<em>Pre Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Pre Type</em>'.
	 * @generated
	 */
	XhtmlPreType createXhtmlPreType();

	/**
	 * Returns a new object of class '<em>PType</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>PType</em>'.
	 * @generated
	 */
	XhtmlPType createXhtmlPType();

	/**
	 * Returns a new object of class '<em>QType</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>QType</em>'.
	 * @generated
	 */
	XhtmlQType createXhtmlQType();

	/**
	 * Returns a new object of class '<em>Samp Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Samp Type</em>'.
	 * @generated
	 */
	XhtmlSampType createXhtmlSampType();

	/**
	 * Returns a new object of class '<em>Span Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Span Type</em>'.
	 * @generated
	 */
	XhtmlSpanType createXhtmlSpanType();

	/**
	 * Returns a new object of class '<em>Strong Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Strong Type</em>'.
	 * @generated
	 */
	XhtmlStrongType createXhtmlStrongType();

	/**
	 * Returns a new object of class '<em>Table Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Table Type</em>'.
	 * @generated
	 */
	XhtmlTableType createXhtmlTableType();

	/**
	 * Returns a new object of class '<em>Tbody Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Tbody Type</em>'.
	 * @generated
	 */
	XhtmlTbodyType createXhtmlTbodyType();

	/**
	 * Returns a new object of class '<em>Td Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Td Type</em>'.
	 * @generated
	 */
	XhtmlTdType createXhtmlTdType();

	/**
	 * Returns a new object of class '<em>Tfoot Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Tfoot Type</em>'.
	 * @generated
	 */
	XhtmlTfootType createXhtmlTfootType();

	/**
	 * Returns a new object of class '<em>Thead Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Thead Type</em>'.
	 * @generated
	 */
	XhtmlTheadType createXhtmlTheadType();

	/**
	 * Returns a new object of class '<em>Th Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Th Type</em>'.
	 * @generated
	 */
	XhtmlThType createXhtmlThType();

	/**
	 * Returns a new object of class '<em>Tr Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Tr Type</em>'.
	 * @generated
	 */
	XhtmlTrType createXhtmlTrType();

	/**
	 * Returns a new object of class '<em>Ul Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Ul Type</em>'.
	 * @generated
	 */
	XhtmlUlType createXhtmlUlType();

	/**
	 * Returns a new object of class '<em>Var Type</em>'. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return a new object of class '<em>Var Type</em>'.
	 * @generated
	 */
	XhtmlVarType createXhtmlVarType();

	/**
	 * Returns the package supported by this factory. <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @return the package supported by this factory.
	 * @generated
	 */
	XhtmlPackage getXhtmlPackage();

} // XhtmlFactory
